[med-svn] [rambo-k] 02/02: Add initial packaging

Andreas Tille tille at debian.org
Thu Nov 5 11:08:47 UTC 2015


This is an automated email from the git hooks/post-receive script.

tille pushed a commit to branch master
in repository rambo-k.

commit 64f69cec182f51343b59d1a6618fc0d685b5bbc0
Author: Andreas Tille <tille at debian.org>
Date:   Thu Nov 5 12:07:32 2015 +0100

    Add initial packaging
---
 debian/changelog       |  5 +++++
 debian/compat          |  1 +
 debian/control         | 19 ++++++++++++++++++
 debian/copyright       | 16 +++++++++++++++
 debian/get-orig-source | 54 ++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/rules           | 24 ++++++++++++++++++++++
 debian/source/format   |  1 +
 debian/watch           |  5 +++++
 8 files changed, 125 insertions(+)

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..7a5d6da
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+rambo-k (1.21-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #<bug>)
+
+ -- DMPT <debian-med-packaging at lists.alioth.debian.org>  Mon, 04 May 2015 10:49:06 +0200
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..2c43051
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,19 @@
+Source: rambo-k
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 9),
+               libcommons-cli-java,
+               liblog4j1.2-java
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/rambo-k.git
+Vcs-Git: git://anonscm.debian.org/debian-med/rambo-k.git
+Homepage: http://rambok.sourceforge.net/
+
+Package: rambo-k
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Read Assignment Method Based On K-mers
+ RAMBO-K is a tool for rapid and sensitive removal of background
+ sequences from Next Generation Sequencing data. 
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..e9be808
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,16 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: RAMBO-K
+Upstream-Contact: Simon Tausch <TauschS at rki.de>
+Source: http://sourceforge.net/projects/rambok/files/
+
+Files: *
+Copyright: © 2013-2015 Simon Tausch <TauschS at rki.de>
+License: LGPL-3+
+
+Files: debian/*
+Copyright: © 2015 Andreas Tille <tille at debian.org>
+License: LGPL-3+
+
+License: LGPL-3+
+ On Debian systems you can find the full text of the GNU Lesser General Public
+ License version 3 or higher at /usr/share/common-licenses/LGPL-3.
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..4710bb3
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,54 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+set -e
+
+## NO tags no branches
+SVNURI="svn://svn.code.sf.net/p/rambok/code/"
+
+TARDIR=${NAME}-${VERSION}
+
+mkdir -p ../tarballs
+cd ../tarballs
+# svn export conserves time stamps of the files, checkout does not
+LC_ALL=C svn --quiet export ${SVNURI} rambok-code
+mkdir ${TARDIR}
+cd ${TARDIR}
+mv ../rambok-code/* .
+rmdir ../rambok-code
+rm -rf wrappers
+unzip -o -q ../../RAMBOK_${VERSION}.zip
+find . -name "*.jar" -delete
+find . -name ".settings" -type d | xargs -r rm -rf
+find . -name "*.java" -exec chmod 644 \{\} \;
+find . -name "*.log" -exec chmod 644 \{\} \;
+find . -name "*.txt" -exec chmod 644 \{\} \;
+find . -name ".[a-z]*" -exec chmod 644 \{\} \;
+cd ..
+rm -rf ../rambok-code
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..c28356c
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,24 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+#  include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there.  Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+	dh $@
+
+get-orig-source:
+	. debian/get-orig-source
+	# uscan --verbose --force-download --compress xz --repack
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..a43b9cb
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,5 @@
+version=3
+
+http://sf.net/rambok/RAMBOK_(\d[\d\.]+)\.zip \
+   debian debian/get-orig-source
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/rambo-k.git



More information about the debian-med-commit mailing list